__author__ = 'Martin Humby 2015'

class Edgecomp:

    def __lt__(self, other):
        return self.toVertex < other.toVertex

    def __eq__(self, other):
        # return self.fromVertex == other.fromVertex and self.toVertex == other.toVertex
        return (self.fromVertex, self.toVertex) == (other.fromVertex, other.toVertex)

    def __hash__(self):             # stored in a set to avoid duplicates when not directed
        return (self.fromVertex.__hash__() + self.toVertex.__hash__())//2

    def __str__(self):
        return '('+str(self.toVertex)+','+str(self.weight)+')'


        # if (self.fromVertex, self.toVertex) == (other.fromVertex, other.toVertex):
        #     print('#',str(self.fromVertex), str(self.toVertex),str(other.fromVertex), str(other.toVertex))
        #
        # print('eq', self.fromVertex==other.fromVertex, self.toVertex==other.toVertex)